###########################################################################
#          $(RWLIBDIR)/$(LP)rpvrml.$(L)   \
#
# File     : Makefile
#
# Abstract : Command line makefile used to build a RenderWare demo program.
#            This is a GNU Make makefile. A copy of GNU Make is required in
#            order to use this file.
#
###########################################################################
#
# This file is a product of Criterion Software Ltd.
#
# This file is provided as is with no warranties of any kind and is
# provided without any obligation on Criterion Software Ltd. or Canon Inc.
# to assist in its use or modification.
#
# Criterion Software Ltd. will not, under any circumstances, be liable for
# any lost revenue or other damages arising from the use of this file.
#
# Copyright (c) 2000, 2001 Criterion Software Ltd.
# All Rights Reserved.
#
# RenderWare is a trademark of Canon Inc.
#
###########################################################################

# Define the projects to be built

DEMO = clmpview

# include common makefile options

include ../../makeopt


CSRC =	$(SRC)/main.c				\
        $(SRC)/clmpanim.c			\
        $(SRC)/clmppick.c			\
        $(SRC)/clmpdmrf.c			\
        $(SRC)/clmpmorf.c			\
        $(SRC)/clmprndr.c			\
        $(SRC)/clmpskin.c			\
        $(SRC)/clmphanm.c			\
        $(SRC)/clmpview.c			\
        $(SRC)/clmpcntl.c			\
        $(SRC)/scene.c				\
	$(SRC)/$(RWOS)/events.c			\
	$(COMMON)/camera.c			\
	$(COMMON)/menu.c	

# Add Archive Include Path
CFLAGS += -I$(RWSDK)/include/$(RWPLATFORM)/archive

# Add skeleton files

CSRC += $(SKEL)/skeleton.c	\
	$(SKELPS)/$(RWOS).c     \
	$(SKELSRC)

ifeq ($(RWMETRICS), 1)
CSRC += $(SKEL)/vecfont.c   \
        $(SKEL)/metrics.c
endif

RWLIBS += $(RWLIBDIR)/$(LP)rtcharse.$(L) \
          $(RWLIBDIR)/$(LP)rtray.$(L)   \
          $(RWLIBDIR)/$(LP)rtsplpvs.$(L)   \
          $(RWLIBDIR)/$(LP)rtpick.$(L)   \
          $(RWLIBDIR)/$(LP)rtbmp.$(L)   \
          $(RWLIBDIR)/$(LP)rtpng.$(L)   \
          $(RWLIBDIR)/$(LP)rpcollis.$(L)   \
          $(RWLIBDIR)/$(LP)rtintsec.$(L)   \
          $(RWLIBDIR)/$(LP)rplodatm.$(L)   \
          $(RWLIBDIR)/$(LP)rpskin.$(L)   \
          $(RWLIBDIR)/archive/$(LP)rpbone.$(L)   \
          $(RWLIBDIR)/archive/$(LP)rpanim.$(L)   \
          $(RWLIBDIR)/$(LP)rpmatfx.$(L)   \
          $(RWLIBDIR)/$(LP)rphanim.$(L)   \
          $(RWLIBDIR)/$(LP)rpdmorph.$(L)   \
          $(RWLIBDIR)/$(LP)rprandom.$(L)   \
          $(RWLIBDIR)/$(LP)rpmorph.$(L)   \
          $(RWLIBDIR)/$(LP)rtworld.$(L)   \
          $(RWLIBDIR)/$(LP)rtimport.$(L)   \
          $(RWLIBDIR)/$(LP)rtslerp.$(L)   \
          $(RWLIBDIR)/$(LP)rtquat.$(L)   \
          $(RWLIBDIR)/$(LP)rplogo.$(L)   \
          $(RWLIBDIR)/$(LP)rpworld.$(L)   \
          $(RWLIBDIR)/$(LP)rwcore.$(L)


include ../../maketarg


